body {
  margin: 0;
  padding: 0 0 100px 0;
  font-family: sans-serif;
  overflow-x: hidden;
}
.App {
  text-align: center;
  position: relative;
}

.App-logo {
  height: 80px;
}

/* DEMO STYLES */
.nav {
  padding: 30px 0;
  background-color: #222;
}
.nav a {
  display: inline-block;
  width: 100px;
  text-align: center;
  margin: 0 15px;
  padding: 10px;
  border: 1px rgba(255,255,255,0.5) solid;
  transition: all 0.3s linear;
  text-decoration: none;
  color: white;
}
.nav a.active {
  background-color: #61DAFB;
  color: #222;
}
section {
  padding: 20px 0;
  max-width: 600px;
  margin: 0 auto;
}
/* #endregion */

/* #region Card */
/* Card */
.card {
  border: 3px #f3f3f3 solid;
  box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.3);
  transition: all 0.3s linear;
  cursor: pointer;
  background-color: #f3f3f3;
  padding: 10px;
  max-width: 220px;
  text-align: left;
  margin: 0 auto;
  &:hover {
    background-color: #f3f3f3;
    border-color: #f3f3f3;
  }
  img {
    max-width: calc(100%);
    margin: 0 auto;
    display: block;
  }
  .index {
    background-color: rgba(0, 0, 0, 0.2);
    color: #fff;
    line-height: 20px;
    font-size: 14px;
    position: absolute;
    top: 0;
    right: 0;
    display: block;
    padding: 0 10px;
  }
  .price {
    margin: 0;
    padding: 10px 0;
    font-weight: bold;
  }
  .details {
    position: relative;
  }
  .features {
    list-style: none;
    padding: 0;
    margin: 0;
    li {
      padding-left: 24px;
      margin-right: 10px;
      display: inline-block;
      span {
        display: none;
      }
    }
  }
}

/* #endregion */

/* #region cards slider */
.cards-slider-wrapper {
  display: flex;
  position: absolute;
  transition: transform 300ms cubic-bezier(0.455, 0.03, 0.515, 0.955);
  .card {
    flex: 1;
    min-width: 300px;
    opacity: 1;
    transform: scale(0.8);
    box-shadow: none;
    background-color: white;
    border-color: white;
    transition: opacity 300ms linear, border-color 300ms linear, background-color 300ms linear,transform 300ms cubic-bezier(0.455, 0.03, 0.515, 0.955);
    .details {
      opacity: 0;
      transition: opacity 150ms linear;
    }
  }
}

$i: 0;
@for $i from 0 through 29 {
    .cards-slider.active-slide-#{$i} #card-#{$i} {
      opacity: 1;
      transform: scale(1);
      background-color: #f3f3f3;
      border-color: #f3f3f3;
      .details {
        opacity: 1;
      }
    }
}

.col {
  height: 264px;
  position: relative;
  z-index: -2;
  &:before,
  &:after {
      content: '';
      display: block;
      width: 50%;
      height: 100%;
      background: linear-gradient(to right, rgba(255, 255, 255, 1) 15%, rgba(255, 255, 255, 0) 100%);
      position: absolute;
      top: 0;
      left: 0;
      z-index: 2;
  }
  &:after {
      left: auto;
      right: 0;
      background: linear-gradient(to left, rgba(255, 255, 255, 1) 15%, rgba(255, 255, 255, 0) 100%);
  }
}

.cards-slider {
  position: relative;
  max-width: 326px;
  margin: 0 auto;

  // boder for active property
  &:after {
    content: '';
    display: block;
    width: 100%;
    height: 264px;
    outline: 3px solid rgb(1, 6, 7);
    position: absolute;
    top: 0; 
    left: 0;
  }
}
/* #endregion */